import { Service } from '@/Service/Service';
/*****登录接口*****/
class NvpLoginService {
	private static GetWxLoginOpenIdPath: string = '/Login/GetWxLoginOpenId';
	/*****小程序根据code获取openId*****/
	static GetWxLoginOpenId(code: string, type: number) {
		var result = Service.Request(this.GetWxLoginOpenIdPath, "GET", { code, type });
		return result;
	}

	private static AppletLoginPath: string = '/Login/AppletLogin';
	/*****普通登陆接口(小程序)*****/
	static AppletLogin(openId: string, channel: string) {
		var result = Service.Request(this.AppletLoginPath, "POST", { openId, channel });
		return result;
	}

	private static RegistPath: string = '/Login/Regist';
	/*****注册接口*****/
	static Regist(remNo: string, openId: string, uniopenId: string, channel: string, type: number) {
		var result = Service.Request(this.RegistPath, "POST", { remNo, openId, uniopenId, channel, type });
		return result;
	}

	private static GetNumberPhonePath: string = '/Login/GetNumberPhone';
	/*****获取手机号*****/
	static GetNumberPhone(code: string) {
		var result = Service.Request(this.GetNumberPhonePath, "GET", { code });
		return result;
	}

}
export {
	Service,
	NvpLoginService
}
